//XDBG.h - [2020-06-22 11:41:46]
#ifndef _XDBG_H_
#define _XDBG_H_

#include "CFTTVector32.h"

/*
0011C31C XDBG_CleanupDebugRenderers()
0011C358 XDBG_DrawDebugLine(CFTTVector32 *,CFTTVector32 *,uint)
0011C480 XDBG_CreateDebugCircleRenderHelper()
0011C520 XDBG_DrawDebugCircle(CFTTVector32 *,float,uint)
0011C620 XDBG_DrawDebugCircleFC(CFTTVector32 *,float,uint,bool)
0011C77C XDBG_DrawDebugLineGame(TPoint,TPoint,uint)
0011C798 XDBG_DrawDebugLineGame(TPoint3D,TPoint3D,uint)
0011C818 XDBG_DrawDebugLineGameA(TPoint,TPoint,uint)
0011C89C XDBG_DrawDebugCircleGame(TPoint3D,int,uint)
0011C8FC XDBG_DrawDebugCircleGame(TPoint,int,uint)
0011C90C XDBG_DrawDebugCircleGameFC(TPoint3D,int,uint,bool)
0011C96C XDBG_DrawDebugCircleGameFC(TPoint,int,uint,bool)
0011C980 XDBG_RenderPlayerHUD()
0011C984 XDBG_RenderPlayerDebug()
*/

void XDBG_CleanupDebugRenderers();                               //0011C31C
void XDBG_DrawDebugLine(CFTTVector32 *, CFTTVector32 *, uint);   //0011C358
void XDBG_CreateDebugCircleRenderHelper();                       //0011C480
void XDBG_DrawDebugCircle(CFTTVector32 *, float, uint);          //0011C520
void XDBG_DrawDebugCircleFC(CFTTVector32 *, float, uint, bool);  //0011C620
void XDBG_DrawDebugLineGame(TPoint, TPoint, uint);               //0011C77C
void XDBG_DrawDebugLineGame(TPoint3D, TPoint3D, uint);           //0011C798
void XDBG_DrawDebugLineGameA(TPoint, TPoint, uint);              //0011C818
void XDBG_DrawDebugCircleGame(TPoint3D, int, uint);              //0011C89C
void XDBG_DrawDebugCircleGame(TPoint, int, uint);                //0011C8FC
void XDBG_DrawDebugCircleGameFC(TPoint3D, int, uint, bool);      //0011C90C
void XDBG_DrawDebugCircleGameFC(TPoint, int, uint, bool);        //0011C96C
void XDBG_RenderPlayerHUD();                                     //0011C980
void XDBG_RenderPlayerDebug();                                   //0011C984

#endif  //_XDBG_H_